# Ansible Role Forgejo

Ansible role to manage a [Forgejo](https://forgejo.org/) instance.

## Installation

Clone the repository in your local Ansible roles directory:

```
git clone https://git.riou.xyz/jriou/ansible-role-forgejo.git ~/.ansible/roles/forgejo
```

See [Storing and finding
roles](https://docs.ansible.com/ansible/latest/playbook_guide/playbooks_reuse_roles.html#storing-and-finding-roles).

## Configuration

See [Variable
precedence](https://docs.ansible.com/ansible/latest/playbook_guide/playbooks_variables.html#ansible-variable-precedence)
to find where you should put your own variables.

Then define at least `forgejo_db_password` with a strong and secure password,
encrypted using
[ansible-vault](https://docs.ansible.com/ansible/latest/cli/ansible-vault.html).

See list of [default variables](defaults/main.yml).


## Usage

Example of a basic forgejo.yml playbook:

```yaml
hosts:
  - forgejo

roles:
  - forgejo
```

Then run the playbook:

```
ansible-playbook forgejo.yml
```

## Donate

As we all love FOSS projects, you should consider [donating to
Codeberg](https://donate.codeberg.org/), the non-profit organization behind
Forgejo.
